summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-apache')
-rw-r--r--www-apache/anyterm/Manifest1
-rw-r--r--www-apache/anyterm/anyterm-1.1.29-r1.ebuild55
-rw-r--r--www-apache/anyterm/files/anyterm-1.1.28-respect-LDFLAGS.patch26
-rw-r--r--www-apache/anyterm/files/anyterm-1.1.29-boost-1.50.patch58
-rw-r--r--www-apache/anyterm/files/anyterm-1.1.29-gcc-4.4.patch10
-rw-r--r--www-apache/anyterm/files/anyterm-1.1.29-gcc6.patch146
-rw-r--r--www-apache/anyterm/files/anyterm.conf.d7
-rw-r--r--www-apache/anyterm/files/anyterm.init.d20
-rw-r--r--www-apache/anyterm/metadata.xml5
-rw-r--r--www-apache/mod_auth_openidc/Manifest1
-rw-r--r--www-apache/mod_auth_openidc/files/10_mod_auth_openidc.conf4
-rw-r--r--www-apache/mod_auth_openidc/metadata.xml18
-rw-r--r--www-apache/mod_auth_openidc/mod_auth_openidc-2.4.14.4-r1.ebuild67
-rw-r--r--www-apache/mod_bw/mod_bw-0.9.2-r2.ebuild4
-rw-r--r--www-apache/mod_h2/Manifest2
-rw-r--r--www-apache/mod_h2/mod_h2-2.0.26.ebuild (renamed from www-apache/mod_h2/mod_h2-2.0.24.ebuild)2
-rw-r--r--www-apache/mod_jk/Manifest1
-rw-r--r--www-apache/mod_jk/files/mod_jk-1.2.48-clang16.patch87
-rw-r--r--www-apache/mod_jk/files/mod_jk-1.2.49-musl.patch26
-rw-r--r--www-apache/mod_jk/mod_jk-1.2.48-r1.ebuild76
-rw-r--r--www-apache/mod_jk/mod_jk-1.2.49.ebuild11
-rw-r--r--www-apache/mod_musicindex/mod_musicindex-1.4.1-r4.ebuild4
-rw-r--r--www-apache/mod_perl/Manifest1
-rw-r--r--www-apache/mod_perl/mod_perl-2.0.13.ebuild142
-rw-r--r--www-apache/mod_security/Manifest1
-rw-r--r--www-apache/mod_security/mod_security-2.9.6.ebuild125
-rw-r--r--www-apache/mod_security/mod_security-2.9.7.ebuild4
-rw-r--r--www-apache/mod_xsendfile/mod_xsendfile-1.0_beta1-r3.ebuild28
-rw-r--r--www-apache/modsecurity-crs/Manifest3
-rw-r--r--www-apache/modsecurity-crs/modsecurity-crs-3.3.5.ebuild (renamed from www-apache/modsecurity-crs/modsecurity-crs-3.3.4.ebuild)4
-rw-r--r--www-apache/modsecurity-crs/modsecurity-crs-4.0.0_rc2.ebuild45
-rw-r--r--www-apache/passenger/Manifest2
-rw-r--r--www-apache/passenger/passenger-6.0.19.ebuild128
-rw-r--r--www-apache/passenger/passenger-6.0.20.ebuild128
34 files changed, 609 insertions, 633 deletions
diff --git a/www-apache/anyterm/Manifest b/www-apache/anyterm/Manifest
deleted file mode 100644
index a33f5b49b909..000000000000
--- a/www-apache/anyterm/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST anyterm-1.1.29.tbz2 178424 BLAKE2B 33416d5cd4bffff3bbbaf6cdb65458c0183a9d2fc58a0422b81b293106152f9d11d002a8cc1a9b1d3cd6a6b51c3d9f682f0e156258d35e7a54abf39349ed185d SHA512 119b2b3eae416721bfd7511d5325f8a8b7bdf4438655a5760f3cac2a91c0d41db2b1efd6bc8f3effb99bff646a21d88ab6e670ece0191e69aeb85f093dc5ab75
diff --git a/www-apache/anyterm/anyterm-1.1.29-r1.ebuild b/www-apache/anyterm/anyterm-1.1.29-r1.ebuild
deleted file mode 100644
index 6c0961341495..000000000000
--- a/www-apache/anyterm/anyterm-1.1.29-r1.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit flag-o-matic toolchain-funcs
-
-DESCRIPTION="A terminal anywhere"
-HOMEPAGE="https://anyterm.org/"
-SRC_URI="https://anyterm.org/download/${P}.tbz2"
-
-LICENSE="GPL-2 Boost-1.0"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="virtual/ssh"
-DEPEND="${RDEPEND}
- dev-libs/boost"
-
-PATCHES=(
- "${FILESDIR}/${PN}-1.1.28-respect-LDFLAGS.patch"
- "${FILESDIR}/${P}-gcc-4.4.patch"
- "${FILESDIR}/${P}-boost-1.50.patch"
- "${FILESDIR}/${P}-gcc6.patch"
-)
-
-src_prepare() {
- default
-
- # Fix underlinking issue caused by recent boost versions
- # depending on boost::system, Gentoo bug #579522
- sed -e 's/\($(CXX) -o $@ $(LDFLAGS) $(OBJS) $(BLOBS) $(LINK_FLAGS)\)/\1 -lboost_system/' \
- -i common.mk || die
-}
-
-src_compile() {
- # this package uses `ld -r -b binary` and thus resulting executable contains
- # executable stack
- append-ldflags -Wl,-z,noexecstack
- emake CC="$(tc-getCC)" CXX="$(tc-getCXX)"
-}
-
-src_install() {
- dosbin anytermd
- dodoc CHANGELOG README
- doman anytermd.1
- newinitd "${FILESDIR}/anyterm.init.d" anyterm
- newconfd "${FILESDIR}/anyterm.conf.d" anyterm
-}
-
-pkg_postinst() {
- elog "To proceed with installation, read the following:"
- elog "https://anyterm.org/install.html"
-}
diff --git a/www-apache/anyterm/files/anyterm-1.1.28-respect-LDFLAGS.patch b/www-apache/anyterm/files/anyterm-1.1.28-respect-LDFLAGS.patch
deleted file mode 100644
index ef27604d87e0..000000000000
--- a/www-apache/anyterm/files/anyterm-1.1.28-respect-LDFLAGS.patch
+++ /dev/null
@@ -1,26 +0,0 @@
-=== modified file 'common.mk'
---- anyterm-1.1.29/common.mk 2009-01-24 12:40:55 +0000
-+++ anyterm-1.1.29/common.mk 2009-01-24 14:02:19 +0000
-@@ -71,7 +71,7 @@
- OBJS=$(addsuffix .o,$(notdir $(basename $(CC_SRCS))))
-
- %.o: %.cc
-- $(CXX) $(CC_COMPILE_FLAGS) -c $<
-+ $(CXX) $(CPPFLAGS) $(CXXFLAGS) $(CC_COMPILE_FLAGS) -c $<
-
- ifdef HAVE_GNU_LD
- %.blob.o: ../browser/%
-@@ -87,10 +87,10 @@
-
-
- anytermd: $(OBJS) $(BLOBS) $(LIBPBE_LIB)
-- $(CXX) -o $@ $(OBJS) $(BLOBS) $(LINK_FLAGS)
-+ $(CXX) -o $@ $(LDFLAGS) $(OBJS) $(BLOBS) $(LINK_FLAGS)
-
- %.d: %.cc
-- $(CXX) -MM -MG -MT $@ -MT $(<:%.cc=%.o) $(CPP_FLAGS) $(GCC_FLAGS) -o $@ $<
-+ $(CXX) $(CPPFLAGS) $(CXXFLAGS) -MM -MG -MT $@ -MT $(<:%.cc=%.o) $(CPP_FLAGS) $(GCC_FLAGS) -o $@ $<
-
- DEPENDS=$(addsuffix .d,$(basename $(OBJS)))
-
-
diff --git a/www-apache/anyterm/files/anyterm-1.1.29-boost-1.50.patch b/www-apache/anyterm/files/anyterm-1.1.29-boost-1.50.patch
deleted file mode 100644
index c3357247f4eb..000000000000
--- a/www-apache/anyterm/files/anyterm-1.1.29-boost-1.50.patch
+++ /dev/null
@@ -1,58 +0,0 @@
-Patch by Arfrever; sent to upstream developer.
-
---- anyterm-1.1.29/libpbe/src/parse_http_request.cc
-+++ anyterm-1.1.29/libpbe/src/parse_http_request.cc
-@@ -18,11 +18,11 @@
-
- #include "parse_http_request.hh"
-
--#include <boost/spirit.hpp>
--#include <boost/spirit/actor/insert_at_actor.hpp>
--#include <boost/spirit/dynamic/if.hpp>
--#include <boost/spirit/utility/loops.hpp>
--#include <boost/spirit/iterator/multi_pass.hpp>
-+#include <boost/spirit/include/classic.hpp>
-+#include <boost/spirit/include/classic_if.hpp>
-+#include <boost/spirit/include/classic_insert_at_actor.hpp>
-+#include <boost/spirit/include/classic_loops.hpp>
-+#include <boost/spirit/include/classic_multi_pass.hpp>
-
- #include <boost/lexical_cast.hpp>
- #include <boost/scoped_array.hpp>
-@@ -31,7 +31,7 @@
-
-
- using namespace std;
--using namespace boost::spirit;
-+using namespace boost::spirit::classic;
-
-
- namespace pbe {
---- anyterm-1.1.29/libpbe/src/URI.cc
-+++ anyterm-1.1.29/libpbe/src/URI.cc
-@@ -18,11 +18,11 @@
-
- #include "URI.hh"
-
--#include <boost/spirit.hpp>
--#include <boost/spirit/actor/insert_at_actor.hpp>
--#include <boost/spirit/dynamic/if.hpp>
--#include <boost/spirit/utility/loops.hpp>
--#include <boost/spirit/iterator/multi_pass.hpp>
-+#include <boost/spirit/include/classic.hpp>
-+#include <boost/spirit/include/classic_if.hpp>
-+#include <boost/spirit/include/classic_insert_at_actor.hpp>
-+#include <boost/spirit/include/classic_loops.hpp>
-+#include <boost/spirit/include/classic_multi_pass.hpp>
-
- #include <boost/lexical_cast.hpp>
- #include <boost/scoped_array.hpp>
-@@ -30,7 +30,7 @@
- #include <map>
-
- using namespace std;
--using namespace boost::spirit;
-+using namespace boost::spirit::classic;
-
-
- namespace pbe {
diff --git a/www-apache/anyterm/files/anyterm-1.1.29-gcc-4.4.patch b/www-apache/anyterm/files/anyterm-1.1.29-gcc-4.4.patch
deleted file mode 100644
index c6fd2e6ad1ae..000000000000
--- a/www-apache/anyterm/files/anyterm-1.1.29-gcc-4.4.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- anyterm-1.1.29/libpbe/src/SmtpClient.cc
-+++ anyterm-1.1.29/libpbe/src/SmtpClient.cc
-@@ -20,6 +20,7 @@
- #include "ip.hh"
- #include "select.hh"
-
-+#include <stdio.h>
- #include <syslog.h>
- #include <unistd.h>
-
diff --git a/www-apache/anyterm/files/anyterm-1.1.29-gcc6.patch b/www-apache/anyterm/files/anyterm-1.1.29-gcc6.patch
deleted file mode 100644
index bbd443a62712..000000000000
--- a/www-apache/anyterm/files/anyterm-1.1.29-gcc6.patch
+++ /dev/null
@@ -1,146 +0,0 @@
---- a/src/html.cc
-+++ b/src/html.cc
-@@ -50,16 +50,16 @@
- }
- classes += L'i'+fg;
- }
-- h += L"<span class=\"" + classes + L"\">";
-+ h += UCS4STR("<span class=\"") + classes + UCS4STR("\">");
- return true;
- }
- return false;
- }
-
--static const ucs4_char* attr_end = L"</span>";
-+static const ucs4_char* attr_end = UCS4STR("</span>");
-
--static const ucs4_char* cursor_start = L"<span class=\"cursor\">";
--static const ucs4_char* cursor_end = L"</span>";
-+static const ucs4_char* cursor_start = UCS4STR("<span class=\"cursor\">");
-+static const ucs4_char* cursor_end = UCS4STR("</span>");
-
-
- ucs4_string htmlify_screen(const Screen& screen)
-@@ -97,9 +97,9 @@
- h+=cursor_start;
- }
- switch (ch) {
-- case '<': h+=L"&lt;"; break;
-- case '>': h+=L"&gt;"; break;
-- case '&': h+=L"&amp;"; break;
-+ case '<': h+=UCS4STR("&lt;"); break;
-+ case '>': h+=UCS4STR("&gt;"); break;
-+ case '&': h+=UCS4STR("&amp;"); break;
- case ' ': h+=L'\u00A0'; break;
- default: h+=ch; break;
- }
-@@ -111,7 +111,7 @@
- if (styled) {
- h+=attr_end;
- }
-- h+=L"<br>";
-+ h+=UCS4STR("<br>");
- }
-
- return h;
---- a/src/editscript.cc
-+++ b/src/editscript.cc
-@@ -95,7 +95,7 @@
- simplify_editscript(e,simp_e);
-
- ucs4_string editscript;
-- ucs4_string editscript_r = L"R";
-+ ucs4_string editscript_r = UCS4STR("R");
- bool any_common = false;
- bool any_change = false;
-
-@@ -127,7 +127,7 @@
- }
-
- if (!any_change) {
-- return L"n";
-+ return UCS4STR("n");
- } else if (any_common) {
- return editscript;
- } else {
---- a/src/unicode.hh
-+++ b/src/unicode.hh
-@@ -30,7 +30,16 @@
- #define UCS4_NATIVE "UCS-4BE"
- #endif
-
-+// char32_t is built-in in C++11. Pre C++11, use wchar_t.
-+// Define a macro UCS4STR() to declare a string literal as L"..." or U"...".
-+
-+#if __cplusplus < 201100L
- typedef wchar_t char32_t;
-+#define UCS4STR(s) L##s
-+#else
-+#define UCS4STR(s) U##s
-+#endif
-+
- typedef char32_t ucs4_char;
- typedef std::basic_string<ucs4_char> ucs4_string;
-
---- a/libpbe/include/charset/char_t.hh
-+++ b/libpbe/include/charset/char_t.hh
-@@ -63,9 +63,15 @@
- };
-
- typedef char_t<8>::type char8_t;
-+
-+#define HAVE_BUILTIN_CHAR_T __cplusplus >= 201100L
-+#if ! HAVE_BUILTIN_CHAR_T
-+
- typedef char_t<16>::type char16_t;
- typedef char_t<32>::type char32_t;
-
-+#endif
-+
-
- };
-
---- a/libpbe/src/generated/iso8859_tables_body.cc
-+++ b/libpbe/src/generated/iso8859_tables_body.cc
-@@ -2,22 +2,22 @@
- // ISO-8859-2
- { 0x0104, 0x02D8, 0x0141, 0x00A4, 0x013D, 0x015A, 0x00A7, 0x00A8, 0x0160, 0x015E, 0x0164, 0x0179, 0x00AD, 0x017D, 0x017B, 0x00B0, 0x0105, 0x02DB, 0x0142, 0x00B4, 0x013E, 0x015B, 0x02C7, 0x00B8, 0x0161, 0x015F, 0x0165, 0x017A, 0x02DD, 0x017E, 0x017C, 0x0154, 0x00C1, 0x00C2, 0x0102, 0x00C4, 0x0139, 0x0106, 0x00C7, 0x010C, 0x00C9, 0x0118, 0x00CB, 0x011A, 0x00CD, 0x00CE, 0x010E, 0x0110, 0x0143, 0x0147, 0x00D3, 0x00D4, 0x0150, 0x00D6, 0x00D7, 0x0158, 0x016E, 0x00DA, 0x0170, 0x00DC, 0x00DD, 0x0162, 0x00DF, 0x0155, 0x00E1, 0x00E2, 0x0103, 0x00E4, 0x013A, 0x0107, 0x00E7, 0x010D, 0x00E9, 0x0119, 0x00EB, 0x011B, 0x00ED, 0x00EE, 0x010F, 0x0111, 0x0144, 0x0148, 0x00F3, 0x00F4, 0x0151, 0x00F6, 0x00F7, 0x0159, 0x016F, 0x00FA, 0x0171, 0x00FC, 0x00FD, 0x0163, 0x02D9,},
- // ISO-8859-3
-- { 0x0126, 0x02D8, 0x00A3, 0x00A4, -1, 0x0124, 0x00A7, 0x00A8, 0x0130, 0x015E, 0x011E, 0x0134, 0x00AD, -1, 0x017B, 0x00B0, 0x0127, 0x00B2, 0x00B3, 0x00B4, 0x00B5, 0x0125, 0x00B7, 0x00B8, 0x0131, 0x015F, 0x011F, 0x0135, 0x00BD, -1, 0x017C, 0x00C0, 0x00C1, 0x00C2, -1, 0x00C4, 0x010A, 0x0108, 0x00C7, 0x00C8, 0x00C9, 0x00CA, 0x00CB, 0x00CC, 0x00CD, 0x00CE, 0x00CF, -1, 0x00D1, 0x00D2, 0x00D3, 0x00D4, 0x0120, 0x00D6, 0x00D7, 0x011C, 0x00D9, 0x00DA, 0x00DB, 0x00DC, 0x016C, 0x015C, 0x00DF, 0x00E0, 0x00E1, 0x00E2, -1, 0x00E4, 0x010B, 0x0109, 0x00E7, 0x00E8, 0x00E9, 0x00EA, 0x00EB, 0x00EC, 0x00ED, 0x00EE, 0x00EF, -1, 0x00F1, 0x00F2, 0x00F3, 0x00F4, 0x0121, 0x00F6, 0x00F7, 0x011D, 0x00F9, 0x00FA, 0x00FB, 0x00FC, 0x016D, 0x015D, 0x02D9,},
-+ { 0x0126, 0x02D8, 0x00A3, 0x00A4, 0xffff, 0x0124, 0x00A7, 0x00A8, 0x0130, 0x015E, 0x011E, 0x0134, 0x00AD, 0xffff, 0x017B, 0x00B0, 0x0127, 0x00B2, 0x00B3, 0x00B4, 0x00B5, 0x0125, 0x00B7, 0x00B8, 0x0131, 0x015F, 0x011F, 0x0135, 0x00BD, 0xffff, 0x017C, 0x00C0, 0x00C1, 0x00C2, 0xffff, 0x00C4, 0x010A, 0x0108, 0x00C7, 0x00C8, 0x00C9, 0x00CA, 0x00CB, 0x00CC, 0x00CD, 0x00CE, 0x00CF, 0xffff, 0x00D1, 0x00D2, 0x00D3, 0x00D4, 0x0120, 0x00D6, 0x00D7, 0x011C, 0x00D9, 0x00DA, 0x00DB, 0x00DC, 0x016C, 0x015C, 0x00DF, 0x00E0, 0x00E1, 0x00E2, 0xffff, 0x00E4, 0x010B, 0x0109, 0x00E7, 0x00E8, 0x00E9, 0x00EA, 0x00EB, 0x00EC, 0x00ED, 0x00EE, 0x00EF, 0xffff, 0x00F1, 0x00F2, 0x00F3, 0x00F4, 0x0121, 0x00F6, 0x00F7, 0x011D, 0x00F9, 0x00FA, 0x00FB, 0x00FC, 0x016D, 0x015D, 0x02D9,},
- // ISO-8859-4
- { 0x0104, 0x0138, 0x0156, 0x00A4, 0x0128, 0x013B, 0x00A7, 0x00A8, 0x0160, 0x0112, 0x0122, 0x0166, 0x00AD, 0x017D, 0x00AF, 0x00B0, 0x0105, 0x02DB, 0x0157, 0x00B4, 0x0129, 0x013C, 0x02C7, 0x00B8, 0x0161, 0x0113, 0x0123, 0x0167, 0x014A, 0x017E, 0x014B, 0x0100, 0x00C1, 0x00C2, 0x00C3, 0x00C4, 0x00C5, 0x00C6, 0x012E, 0x010C, 0x00C9, 0x0118, 0x00CB, 0x0116, 0x00CD, 0x00CE, 0x012A, 0x0110, 0x0145, 0x014C, 0x0136, 0x00D4, 0x00D5, 0x00D6, 0x00D7, 0x00D8, 0x0172, 0x00DA, 0x00DB, 0x00DC, 0x0168, 0x016A, 0x00DF, 0x0101, 0x00E1, 0x00E2, 0x00E3, 0x00E4, 0x00E5, 0x00E6, 0x012F, 0x010D, 0x00E9, 0x0119, 0x00EB, 0x0117, 0x00ED, 0x00EE, 0x012B, 0x0111, 0x0146, 0x014D, 0x0137, 0x00F4, 0x00F5, 0x00F6, 0x00F7, 0x00F8, 0x0173, 0x00FA, 0x00FB, 0x00FC, 0x0169, 0x016B, 0x02D9,},
- // ISO-8859-5
- { 0x0401, 0x0402, 0x0403, 0x0404, 0x0405, 0x0406, 0x0407, 0x0408, 0x0409, 0x040A, 0x040B, 0x040C, 0x00AD, 0x040E, 0x040F, 0x0410, 0x0411, 0x0412, 0x0413, 0x0414, 0x0415, 0x0416, 0x0417, 0x0418, 0x0419, 0x041A, 0x041B, 0x041C, 0x041D, 0x041E, 0x041F, 0x0420, 0x0421, 0x0422, 0x0423, 0x0424, 0x0425, 0x0426, 0x0427, 0x0428, 0x0429, 0x042A, 0x042B, 0x042C, 0x042D, 0x042E, 0x042F, 0x0430, 0x0431, 0x0432, 0x0433, 0x0434, 0x0435, 0x0436, 0x0437, 0x0438, 0x0439, 0x043A, 0x043B, 0x043C, 0x043D, 0x043E, 0x043F, 0x0440, 0x0441, 0x0442, 0x0443, 0x0444, 0x0445, 0x0446, 0x0447, 0x0448, 0x0449, 0x044A, 0x044B, 0x044C, 0x044D, 0x044E, 0x044F, 0x2116, 0x0451, 0x0452, 0x0453, 0x0454, 0x0455, 0x0456, 0x0457, 0x0458, 0x0459, 0x045A, 0x045B, 0x045C, 0x00A7, 0x045E, 0x045F,},
- // ISO-8859-6
-- { -1, -1, -1, 0x00A4, -1, -1, -1, -1, -1, -1, -1, 0x060C, 0x00AD, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 0x061B, -1, -1, -1, 0x061F, -1, 0x0621, 0x0622, 0x0623, 0x0624, 0x0625, 0x0626, 0x0627, 0x0628, 0x0629, 0x062A, 0x062B, 0x062C, 0x062D, 0x062E, 0x062F, 0x0630, 0x0631, 0x0632, 0x0633, 0x0634, 0x0635, 0x0636, 0x0637, 0x0638, 0x0639, 0x063A, -1, -1, -1, -1, -1, 0x0640, 0x0641, 0x0642, 0x0643, 0x0644, 0x0645, 0x0646, 0x0647, 0x0648, 0x0649, 0x064A, 0x064B, 0x064C, 0x064D, 0x064E, 0x064F, 0x0650, 0x0651, 0x0652,},
-+ { 0xffff, 0xffff, 0xffff, 0x00A4, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0x060C, 0x00AD, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0x061B, 0xffff, 0xffff, 0xffff, 0x061F, 0xffff, 0x0621, 0x0622, 0x0623, 0x0624, 0x0625, 0x0626, 0x0627, 0x0628, 0x0629, 0x062A, 0x062B, 0x062C, 0x062D, 0x062E, 0x062F, 0x0630, 0x0631, 0x0632, 0x0633, 0x0634, 0x0635, 0x0636, 0x0637, 0x0638, 0x0639, 0x063A, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0x0640, 0x0641, 0x0642, 0x0643, 0x0644, 0x0645, 0x0646, 0x0647, 0x0648, 0x0649, 0x064A, 0x064B, 0x064C, 0x064D, 0x064E, 0x064F, 0x0650, 0x0651, 0x0652,},
- // ISO-8859-7
-- { 0x2018, 0x2019, 0x00A3, 0x20AC, 0x20AF, 0x00A6, 0x00A7, 0x00A8, 0x00A9, 0x037A, 0x00AB, 0x00AC, 0x00AD, -1, 0x2015, 0x00B0, 0x00B1, 0x00B2, 0x00B3, 0x0384, 0x0385, 0x0386, 0x00B7, 0x0388, 0x0389, 0x038A, 0x00BB, 0x038C, 0x00BD, 0x038E, 0x038F, 0x0390, 0x0391, 0x0392, 0x0393, 0x0394, 0x0395, 0x0396, 0x0397, 0x0398, 0x0399, 0x039A, 0x039B, 0x039C, 0x039D, 0x039E, 0x039F, 0x03A0, 0x03A1, -1, 0x03A3, 0x03A4, 0x03A5, 0x03A6, 0x03A7, 0x03A8, 0x03A9, 0x03AA, 0x03AB, 0x03AC, 0x03AD, 0x03AE, 0x03AF, 0x03B0, 0x03B1, 0x03B2, 0x03B3, 0x03B4, 0x03B5, 0x03B6, 0x03B7, 0x03B8, 0x03B9, 0x03BA, 0x03BB, 0x03BC, 0x03BD, 0x03BE, 0x03BF, 0x03C0, 0x03C1, 0x03C2, 0x03C3, 0x03C4, 0x03C5, 0x03C6, 0x03C7, 0x03C8, 0x03C9, 0x03CA, 0x03CB, 0x03CC, 0x03CD, 0x03CE,},
-+ { 0x2018, 0x2019, 0x00A3, 0x20AC, 0x20AF, 0x00A6, 0x00A7, 0x00A8, 0x00A9, 0x037A, 0x00AB, 0x00AC, 0x00AD, 0xffff, 0x2015, 0x00B0, 0x00B1, 0x00B2, 0x00B3, 0x0384, 0x0385, 0x0386, 0x00B7, 0x0388, 0x0389, 0x038A, 0x00BB, 0x038C, 0x00BD, 0x038E, 0x038F, 0x0390, 0x0391, 0x0392, 0x0393, 0x0394, 0x0395, 0x0396, 0x0397, 0x0398, 0x0399, 0x039A, 0x039B, 0x039C, 0x039D, 0x039E, 0x039F, 0x03A0, 0x03A1, 0xffff, 0x03A3, 0x03A4, 0x03A5, 0x03A6, 0x03A7, 0x03A8, 0x03A9, 0x03AA, 0x03AB, 0x03AC, 0x03AD, 0x03AE, 0x03AF, 0x03B0, 0x03B1, 0x03B2, 0x03B3, 0x03B4, 0x03B5, 0x03B6, 0x03B7, 0x03B8, 0x03B9, 0x03BA, 0x03BB, 0x03BC, 0x03BD, 0x03BE, 0x03BF, 0x03C0, 0x03C1, 0x03C2, 0x03C3, 0x03C4, 0x03C5, 0x03C6, 0x03C7, 0x03C8, 0x03C9, 0x03CA, 0x03CB, 0x03CC, 0x03CD, 0x03CE,},
- // ISO-8859-8
-- { -1, 0x00A2, 0x00A3, 0x00A4, 0x00A5, 0x00A6, 0x00A7, 0x00A8, 0x00A9, 0x00D7, 0x00AB, 0x00AC, 0x00AD, 0x00AE, 0x00AF, 0x00B0, 0x00B1, 0x00B2, 0x00B3, 0x00B4, 0x00B5, 0x00B6, 0x00B7, 0x00B8, 0x00B9, 0x00F7, 0x00BB, 0x00BC, 0x00BD, 0x00BE, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 0x2017, 0x05D0, 0x05D1, 0x05D2, 0x05D3, 0x05D4, 0x05D5, 0x05D6, 0x05D7, 0x05D8, 0x05D9, 0x05DA, 0x05DB, 0x05DC, 0x05DD, 0x05DE, 0x05DF, 0x05E0, 0x05E1, 0x05E2, 0x05E3, 0x05E4, 0x05E5, 0x05E6, 0x05E7, 0x05E8, 0x05E9, 0x05EA, -1, -1, 0x200E, 0x200F,},
-+ { 0xffff, 0x00A2, 0x00A3, 0x00A4, 0x00A5, 0x00A6, 0x00A7, 0x00A8, 0x00A9, 0x00D7, 0x00AB, 0x00AC, 0x00AD, 0x00AE, 0x00AF, 0x00B0, 0x00B1, 0x00B2, 0x00B3, 0x00B4, 0x00B5, 0x00B6, 0x00B7, 0x00B8, 0x00B9, 0x00F7, 0x00BB, 0x00BC, 0x00BD, 0x00BE, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0x2017, 0x05D0, 0x05D1, 0x05D2, 0x05D3, 0x05D4, 0x05D5, 0x05D6, 0x05D7, 0x05D8, 0x05D9, 0x05DA, 0x05DB, 0x05DC, 0x05DD, 0x05DE, 0x05DF, 0x05E0, 0x05E1, 0x05E2, 0x05E3, 0x05E4, 0x05E5, 0x05E6, 0x05E7, 0x05E8, 0x05E9, 0x05EA, 0xffff, 0xffff, 0x200E, 0x200F,},
- // ISO-8859-9
- { 0x00A1, 0x00A2, 0x00A3, 0x00A4, 0x00A5, 0x00A6, 0x00A7, 0x00A8, 0x00A9, 0x00AA, 0x00AB, 0x00AC, 0x00AD, 0x00AE, 0x00AF, 0x00B0, 0x00B1, 0x00B2, 0x00B3, 0x00B4, 0x00B5, 0x00B6, 0x00B7, 0x00B8, 0x00B9, 0x00BA, 0x00BB, 0x00BC, 0x00BD, 0x00BE, 0x00BF, 0x00C0, 0x00C1, 0x00C2, 0x00C3, 0x00C4, 0x00C5, 0x00C6, 0x00C7, 0x00C8, 0x00C9, 0x00CA, 0x00CB, 0x00CC, 0x00CD, 0x00CE, 0x00CF, 0x011E, 0x00D1, 0x00D2, 0x00D3, 0x00D4, 0x00D5, 0x00D6, 0x00D7, 0x00D8, 0x00D9, 0x00DA, 0x00DB, 0x00DC, 0x0130, 0x015E, 0x00DF, 0x00E0, 0x00E1, 0x00E2, 0x00E3, 0x00E4, 0x00E5, 0x00E6, 0x00E7, 0x00E8, 0x00E9, 0x00EA, 0x00EB, 0x00EC, 0x00ED, 0x00EE, 0x00EF, 0x011F, 0x00F1, 0x00F2, 0x00F3, 0x00F4, 0x00F5, 0x00F6, 0x00F7, 0x00F8, 0x00F9, 0x00FA, 0x00FB, 0x00FC, 0x0131, 0x015F, 0x00FF,},
-- // ISO-8859-10
-+ // ISO-88590xffff0
- { 0x0104, 0x0112, 0x0122, 0x012A, 0x0128, 0x0136, 0x00A7, 0x013B, 0x0110, 0x0160, 0x0166, 0x017D, 0x00AD, 0x016A, 0x014A, 0x00B0, 0x0105, 0x0113, 0x0123, 0x012B, 0x0129, 0x0137, 0x00B7, 0x013C, 0x0111, 0x0161, 0x0167, 0x017E, 0x2015, 0x016B, 0x014B, 0x0100, 0x00C1, 0x00C2, 0x00C3, 0x00C4, 0x00C5, 0x00C6, 0x012E, 0x010C, 0x00C9, 0x0118, 0x00CB, 0x0116, 0x00CD, 0x00CE, 0x00CF, 0x00D0, 0x0145, 0x014C, 0x00D3, 0x00D4, 0x00D5, 0x00D6, 0x0168, 0x00D8, 0x0172, 0x00DA, 0x00DB, 0x00DC, 0x00DD, 0x00DE, 0x00DF, 0x0101, 0x00E1, 0x00E2, 0x00E3, 0x00E4, 0x00E5, 0x00E6, 0x012F, 0x010D, 0x00E9, 0x0119, 0x00EB, 0x0117, 0x00ED, 0x00EE, 0x00EF, 0x00F0, 0x0146, 0x014D, 0x00F3, 0x00F4, 0x00F5, 0x00F6, 0x0169, 0x00F8, 0x0173, 0x00FA, 0x00FB, 0x00FC, 0x00FD, 0x00FE, 0x0138,},
-- // ISO-8859-11
-- { 0x0E01, 0x0E02, 0x0E03, 0x0E04, 0x0E05, 0x0E06, 0x0E07, 0x0E08, 0x0E09, 0x0E0A, 0x0E0B, 0x0E0C, 0x0E0D, 0x0E0E, 0x0E0F, 0x0E10, 0x0E11, 0x0E12, 0x0E13, 0x0E14, 0x0E15, 0x0E16, 0x0E17, 0x0E18, 0x0E19, 0x0E1A, 0x0E1B, 0x0E1C, 0x0E1D, 0x0E1E, 0x0E1F, 0x0E20, 0x0E21, 0x0E22, 0x0E23, 0x0E24, 0x0E25, 0x0E26, 0x0E27, 0x0E28, 0x0E29, 0x0E2A, 0x0E2B, 0x0E2C, 0x0E2D, 0x0E2E, 0x0E2F, 0x0E30, 0x0E31, 0x0E32, 0x0E33, 0x0E34, 0x0E35, 0x0E36, 0x0E37, 0x0E38, 0x0E39, 0x0E3A, -1, -1, -1, -1, 0x0E3F, 0x0E40, 0x0E41, 0x0E42, 0x0E43, 0x0E44, 0x0E45, 0x0E46, 0x0E47, 0x0E48, 0x0E49, 0x0E4A, 0x0E4B, 0x0E4C, 0x0E4D, 0x0E4E, 0x0E4F, 0x0E50, 0x0E51, 0x0E52, 0x0E53, 0x0E54, 0x0E55, 0x0E56, 0x0E57, 0x0E58, 0x0E59, 0x0E5A, 0x0E5B,},
-- // ISO-8859-12 does not exist
-+ // ISO-88590xffff1
-+ { 0x0E01, 0x0E02, 0x0E03, 0x0E04, 0x0E05, 0x0E06, 0x0E07, 0x0E08, 0x0E09, 0x0E0A, 0x0E0B, 0x0E0C, 0x0E0D, 0x0E0E, 0x0E0F, 0x0E10, 0x0E11, 0x0E12, 0x0E13, 0x0E14, 0x0E15, 0x0E16, 0x0E17, 0x0E18, 0x0E19, 0x0E1A, 0x0E1B, 0x0E1C, 0x0E1D, 0x0E1E, 0x0E1F, 0x0E20, 0x0E21, 0x0E22, 0x0E23, 0x0E24, 0x0E25, 0x0E26, 0x0E27, 0x0E28, 0x0E29, 0x0E2A, 0x0E2B, 0x0E2C, 0x0E2D, 0x0E2E, 0x0E2F, 0x0E30, 0x0E31, 0x0E32, 0x0E33, 0x0E34, 0x0E35, 0x0E36, 0x0E37, 0x0E38, 0x0E39, 0x0E3A, 0xffff, 0xffff, 0xffff, 0xffff, 0x0E3F, 0x0E40, 0x0E41, 0x0E42, 0x0E43, 0x0E44, 0x0E45, 0x0E46, 0x0E47, 0x0E48, 0x0E49, 0x0E4A, 0x0E4B, 0x0E4C, 0x0E4D, 0x0E4E, 0x0E4F, 0x0E50, 0x0E51, 0x0E52, 0x0E53, 0x0E54, 0x0E55, 0x0E56, 0x0E57, 0x0E58, 0x0E59, 0x0E5A, 0x0E5B,},
-+ // ISO-88590xffff2 does not exist
- {},
---- a/libpbe/include/charset/char_t.hh
-+++ b/libpbe/include/charset/char_t.hh
-@@ -64,7 +64,7 @@
-
- typedef char_t<8>::type char8_t;
-
--#define HAVE_BUILTIN_CHAR_T __cplusplus >= 201100L
-+#define HAVE_BUILTIN_CHAR_T (__cplusplus >= 201100L)
- #if ! HAVE_BUILTIN_CHAR_T
-
- typedef char_t<16>::type char16_t;
diff --git a/www-apache/anyterm/files/anyterm.conf.d b/www-apache/anyterm/files/anyterm.conf.d
deleted file mode 100644
index d4aa00bf987b..000000000000
--- a/www-apache/anyterm/files/anyterm.conf.d
+++ /dev/null
@@ -1,7 +0,0 @@
-# run anytermd as this user
-USER='nobody'
-# run anyterm on this port
-PORT='7676'
-
-# Other options you wish to pass to anyterm
-ANYTERM_OPTIONS="--local-only"
diff --git a/www-apache/anyterm/files/anyterm.init.d b/www-apache/anyterm/files/anyterm.init.d
deleted file mode 100644
index f48fff7783e0..000000000000
--- a/www-apache/anyterm/files/anyterm.init.d
+++ /dev/null
@@ -1,20 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License, v2 or later
-
-depend() {
- need net
-}
-
-start() {
- ebegin "Starting ${SVCNAME}"
- start-stop-daemon --start --exec /usr/sbin/anytermd -- \
- --user "${USER}" --port ${PORT} ${ANYTERM_OPTIONS}
- eend $?
-}
-
-stop() {
- ebegin "Stopping ${SVCNAME}"
- start-stop-daemon --stop --exec /usr/sbin/anytermd
- eend $?
-}
diff --git a/www-apache/anyterm/metadata.xml b/www-apache/anyterm/metadata.xml
deleted file mode 100644
index 115e9d64a669..000000000000
--- a/www-apache/anyterm/metadata.xml
+++ /dev/null
@@ -1,5 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <!-- maintainer-needed -->
-</pkgmetadata>
diff --git a/www-apache/mod_auth_openidc/Manifest b/www-apache/mod_auth_openidc/Manifest
new file mode 100644
index 000000000000..996d5dfef207
--- /dev/null
+++ b/www-apache/mod_auth_openidc/Manifest
@@ -0,0 +1 @@
+DIST mod_auth_openidc-2.4.14.4.tar.gz 632757 BLAKE2B e01df9c431df848c1773f8152d87b5efc183b016516718bbf5eff3de66d12c87396b649a06548b5f0e42a52d08baef9ced8cd4b79acfc1657b7427dab0c9c14d SHA512 b7d61f15d48292f2a567653632f7d9df8b6cb54303d4de0c333c8122a32df8749e508a0abd5259ac7ca15da5b244eec1e1d21f62140720ddb1705ec289551984
diff --git a/www-apache/mod_auth_openidc/files/10_mod_auth_openidc.conf b/www-apache/mod_auth_openidc/files/10_mod_auth_openidc.conf
new file mode 100644
index 000000000000..0290c4cfc162
--- /dev/null
+++ b/www-apache/mod_auth_openidc/files/10_mod_auth_openidc.conf
@@ -0,0 +1,4 @@
+<IfDefine AUTH_OPENIDC>
+LoadModule auth_openidc_module modules/mod_auth_openidc.so
+# See /usr/share/doc/mod_auth_openidc-*/auth_openidc.conf for configuration options.
+</IfDefine>
diff --git a/www-apache/mod_auth_openidc/metadata.xml b/www-apache/mod_auth_openidc/metadata.xml
new file mode 100644
index 000000000000..13dbd324eab0
--- /dev/null
+++ b/www-apache/mod_auth_openidc/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>robbat2@gentoo.org</email>
+ </maintainer>
+ <maintainer type="project">
+ <email>infra@gentoo.org</email>
+ <name>Gentoo Infrastructure Team</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">OpenIDC/mod_auth_openidc</remote-id>
+ </upstream>
+ <use>
+ <flag name="redis">Add support for the Redis caching via <pkg>dev-libs/hiredis</pkg></flag>
+ <flag name="brotli">Add support for brotli compressed data using <pkg>app-arch/brotli</pkg></flag>
+ </use>
+</pkgmetadata>
diff --git a/www-apache/mod_auth_openidc/mod_auth_openidc-2.4.14.4-r1.ebuild b/www-apache/mod_auth_openidc/mod_auth_openidc-2.4.14.4-r1.ebuild
new file mode 100644
index 000000000000..4ab411903ee7
--- /dev/null
+++ b/www-apache/mod_auth_openidc/mod_auth_openidc-2.4.14.4-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+#
+
+EAPI=8
+
+inherit depend.apache apache-module autotools
+
+DESCRIPTION="OpenID Connect Relying Party implementation for Apache HTTP Server 2.x"
+HOMEPAGE="https://github.com/OpenIDC/mod_auth_openidc"
+SRC_URI="https://github.com/OpenIDC/mod_auth_openidc/releases/download/v${PV}/${P}.tar.gz"
+KEYWORDS="~amd64"
+IUSE="redis brotli"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+
+RDEPEND="net-misc/curl
+ brotli? ( app-arch/brotli:= )
+ sys-libs/zlib:=
+ dev-libs/openssl:=
+ dev-libs/apr
+ dev-libs/jansson:=
+ dev-libs/cjose
+ dev-libs/libpcre
+ redis? ( dev-libs/hiredis:= )
+ app-misc/jq"
+DEPEND="
+ ${RDEPEND}
+ virtual/pkgconfig"
+
+APACHE2_MOD_CONF="10_mod_auth_openidc"
+APACHE2_MOD_DEFINE="AUTH_OPENIDC"
+DOCFILES="README.md ChangeLog AUTHORS INSTALL auth_openidc.conf"
+
+need_apache2_4
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ ECONF_ARGS=(
+ $(use_with brotli)
+ $(use_with redis hiredis)
+ )
+ econf "${ECONF_ARGS[@]}"
+}
+
+src_compile() {
+ # Do not use apache-module_src_compile ; it does not compile properly
+ default
+}
+
+src_install() {
+ # Do not use apache-module_src_install ; it does not link properly
+ default
+
+ insinto "${APACHE_MODULES_CONFDIR}"
+ doins "${FILESDIR}/${APACHE2_MOD_CONF}.conf"
+ dodoc ${DOCFILES}
+}
+
+pkg_postinst() {
+ apache-module_pkg_postinst
+}
diff --git a/www-apache/mod_bw/mod_bw-0.9.2-r2.ebuild b/www-apache/mod_bw/mod_bw-0.9.2-r2.ebuild
index 61bd2a4f58a9..3ec2f4b15036 100644
--- a/www-apache/mod_bw/mod_bw-0.9.2-r2.ebuild
+++ b/www-apache/mod_bw/mod_bw-0.9.2-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -16,7 +16,7 @@ KEYWORDS="amd64 ppc x86"
LICENSE="Apache-2.0"
SLOT="0"
-BDEPEND="sys-devel/libtool"
+BDEPEND="dev-build/libtool"
PATCHES=(
"${FILESDIR}"/${PN}-0.9.2-apache24.patch
diff --git a/www-apache/mod_h2/Manifest b/www-apache/mod_h2/Manifest
index e792fff6c638..be96e5bd83a9 100644
--- a/www-apache/mod_h2/Manifest
+++ b/www-apache/mod_h2/Manifest
@@ -1 +1 @@
-DIST mod_h2-2.0.24.tar.gz 689555 BLAKE2B 8fa963a96fb29ba257e4fce072bd7d4bf4e46cfe64f066d9d3a9c692d4bc61552fce3340dd89a0547a6e3dd7180051ce5b0334eae763809e99755441f6203e90 SHA512 1f80c2738f84a58eb691d6a51ed63be4a3567d10501e0fd69aca8519ede8e084b85fb2aad678701b65c6422b6216c005ec8a50199f55e35a1c1197f87dfd5862
+DIST mod_h2-2.0.26.tar.gz 689313 BLAKE2B 472fed8dea63519c8bcf747a22d2cf081dd13180245925095bcc2e7a5c9764ed51235496f351d87fb6975d4d24f069c7fc93cf02ea42aebf6cf57dc6e33c5162 SHA512 73230bae718057e201a2580bdf28b2263637b52f414c2f6abf8e97f3b11472b649edd95c8c956a12473b567edd8e8a7eb5acf91f85621a7128a132f4891f9703
diff --git a/www-apache/mod_h2/mod_h2-2.0.24.ebuild b/www-apache/mod_h2/mod_h2-2.0.26.ebuild
index 5ba43634b8e0..dddc92e83e4f 100644
--- a/www-apache/mod_h2/mod_h2-2.0.24.ebuild
+++ b/www-apache/mod_h2/mod_h2-2.0.26.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
diff --git a/www-apache/mod_jk/Manifest b/www-apache/mod_jk/Manifest
index ada527e80f79..698f03cb11cb 100644
--- a/www-apache/mod_jk/Manifest
+++ b/www-apache/mod_jk/Manifest
@@ -1,3 +1,2 @@
-DIST tomcat-connectors-1.2.48-src.tar.gz 3665280 BLAKE2B eca84f31235e441dea08fd7f0e44de4370799e9781384a0a4329ae48c9dab4b146733bf810669fdcf60ede9e67e139942ccfe12c74e15f4eda19d9107f9b6150 SHA512 955a830724a3902e29032a5d2e7603d3170334e8a383d314f6bf8539d53d9f7ee4cfa0b31cfc954acb0a13d9975ed2229de085d08de3885f8679b509924fde47
DIST tomcat-connectors-1.2.49-src.tar.gz 1702479 BLAKE2B 5994bbff6b8c11770cfe8287590d3af793d8720b8a54ecb066abe481e158517c25757a575c9db197e39b1ffc957f27237e92818a9da557db78e5d286b58b1d13 SHA512 936eb017ff9d9011996933838d5c306ede9ae1886405f4daed60719ee522cca6075dedb3b647863ef12155cca93f6db8e58209a5d3bbd2da157ffc536a6809f2
DIST tomcat-connectors-1.2.49-src.tar.gz.asc 873 BLAKE2B 52cd9b6f051a6a76b1823773c4af2742dfdd686afa951975623d2d2a42730cbd40882e0f6f13600a6e473d265418b662ae1a576889e25685d74d8e692ae1a42e SHA512 41edf25b31bbf280814451dcb9fdc28497394213dfd968c37b2c15670aee34e028a7fc1145a374f128d7ab969c43ca9ae6fd296fee6bf5fae4785ea35908b144
diff --git a/www-apache/mod_jk/files/mod_jk-1.2.48-clang16.patch b/www-apache/mod_jk/files/mod_jk-1.2.48-clang16.patch
deleted file mode 100644
index e776eb626608..000000000000
--- a/www-apache/mod_jk/files/mod_jk-1.2.48-clang16.patch
+++ /dev/null
@@ -1,87 +0,0 @@
-https://bugs.gentoo.org/875122
-
-First commit: https://github.com/apache/tomcat-connectors/commit/e719874b21a526cb3447c747b9901719cf46eafe
-The rest: https://github.com/apache/tomcat-connectors/pull/6
-
-From: Mark Thomas <markt@apache.org>
-Date: Wed, 30 Jun 2021 10:58:58 +0100
-Subject: [PATCH] Fix BZ 64878 - Fix build in MaxOS
-
-With thanks to don@isle.plus at
-https://bz.apache.org/bugzilla/show_bug.cgi?id=64753#c13
-
-https://bz.apache.org/bugzilla/show_bug.cgi?id=64878
---- a/scripts/build/jk_common.m4
-+++ b/scripts/build/jk_common.m4
-@@ -35,6 +35,7 @@ changequote([, ])dnl
- AC_MSG_CHECKING(size of $2)
- AC_CACHE_VAL(AC_CV_NAME,
- [AC_TRY_RUN([#include <stdio.h>
-+#include <stdlib.h>
- $1
- main()
- {
-
-From f5403f13b52c50a19afa4e16dbbb66c31dce565b Mon Sep 17 00:00:00 2001
-From: Sam James <sam@gentoo.org>
-Date: Mon, 17 Oct 2022 03:46:06 +0100
-Subject: [PATCH 1/2] Fix -Wimplicit-int
-
-Becomes fatal with Clang 15.
---- a/scripts/build/jk_common.m4
-+++ b/scripts/build/jk_common.m4
-@@ -37,7 +37,7 @@ AC_CACHE_VAL(AC_CV_NAME,
- [AC_TRY_RUN([#include <stdio.h>
- #include <stdlib.h>
- $1
--main()
-+int main()
- {
- FILE *f=fopen("conftestval","w");
- if (!f) exit(1);
-From c896afdb44d26186bd93301827f4b0b7888ac116 Mon Sep 17 00:00:00 2001
-From: Sam James <sam@gentoo.org>
-Date: Mon, 17 Oct 2022 03:51:06 +0100
-Subject: [PATCH 2/2] configure.ac: Fix more implicit function declarations
-
-Becomes fatal in Clang 16.
-
-Signed-off-by: Sam James <sam@gentoo.org>
---- a/configure.ac
-+++ b/configure.ac
-@@ -303,9 +303,11 @@ AC_CHECK_HEADERS(sys/filio.h)
- AC_DEFUN([JK_CHECK_SETSOCKOPT], [
- AC_MSG_CHECKING(whether to use $1 with setsockopt())
- AC_TRY_RUN([
-+#include <stdlib.h>
- #include <sys/types.h>
- #include <sys/socket.h>
- #include <sys/time.h>
-+#include <stdlib.h>
-
- int main(void)
- {
-@@ -344,6 +346,7 @@ AC_TRY_RUN([
- #include <sys/types.h>
- #include <sys/socket.h>
- #include <sys/time.h>
-+#include <stdlib.h>
-
- int main(void)
- {
-@@ -395,6 +398,7 @@ AC_TRY_RUN([
- #include <sys/types.h>
- #include <sys/socket.h>
- #include <sys/time.h>
-+#include <stdlib.h>
-
- int main(void)
- {
-@@ -416,6 +420,7 @@ AC_TRY_RUN([
- #include <sys/types.h>
- #include <sys/socket.h>
- #include <netinet/in.h>
-+#include <stdlib.h>
-
- int main(void)
- {
diff --git a/www-apache/mod_jk/files/mod_jk-1.2.49-musl.patch b/www-apache/mod_jk/files/mod_jk-1.2.49-musl.patch
new file mode 100644
index 000000000000..65327fcc8bc3
--- /dev/null
+++ b/www-apache/mod_jk/files/mod_jk-1.2.49-musl.patch
@@ -0,0 +1,26 @@
+From 479102b941ac4c8c86ce102ec6e5bc9ad59b0d89 Mon Sep 17 00:00:00 2001
+From: Conrad Kostecki <conikost@gentoo.org>
+Date: Tue, 23 Jan 2024 22:10:38 +0100
+Subject: [PATCH] native/common/jk_global.h: fix compilation on musl
+
+On musl, sys/socketvar.h does not exist, so we need to make sure,
+not to use it.
+
+Signed-off-by: Conrad Kostecki <conikost@gentoo.org>
+---
+ common/jk_global.h | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/common/jk_global.h b/common/jk_global.h
+index adcbd95f1..f4680ef8b 100644
+--- a/common/jk_global.h
++++ b/common/jk_global.h
+@@ -148,7 +148,7 @@ extern char *strdup(const char *str);
+ #include <netinet/tcp.h>
+ #include <arpa/inet.h>
+ #include <sys/un.h>
+-#if !defined(_OSD_POSIX) && !defined(AS400) && !defined(__CYGWIN__) && !defined(HPUX11)
++#if !defined(_OSD_POSIX) && !defined(AS400) && !defined(__CYGWIN__) && !defined(HPUX11) && !defined(PLATFORM_LINUX)
+ #include <sys/socketvar.h>
+ #endif
+ #if !defined(HPUX11) && !defined(AS400)
diff --git a/www-apache/mod_jk/mod_jk-1.2.48-r1.ebuild b/www-apache/mod_jk/mod_jk-1.2.48-r1.ebuild
deleted file mode 100644
index 2593c36b65c2..000000000000
--- a/www-apache/mod_jk/mod_jk-1.2.48-r1.ebuild
+++ /dev/null
@@ -1,76 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-MY_P="tomcat-connectors-${PV#-*}-src"
-
-inherit apache-module autotools
-
-DESCRIPTION="Provides an AJP Apache2-JK-connector for the Tomcat servlet engine"
-HOMEPAGE="https://tomcat.apache.org/connectors-doc/"
-SRC_URI="mirror://apache/tomcat/tomcat-connectors/jk/${MY_P}.tar.gz"
-S="${WORKDIR}/${MY_P}/native"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86"
-
-DEPEND="dev-libs/apr:1="
-RDEPEND="${DEPEND}"
-BDEPEND="dev-lang/perl"
-
-APACHE2_MOD_FILE="${S}/apache-2.0/${PN}.so"
-APACHE2_MOD_DEFINE="JK"
-
-PATCHES=(
- "${FILESDIR}"/${P}-clang16.patch
-)
-
-need_apache2
-
-pkg_setup() {
- # Calling depend.apache_pkg_setup fails because we do not have
- # "apache2" in IUSE but the function expects this in order to call
- # _init_apache2_late which sets the APACHE_MODULESDIR variable.
- _init_apache2
- _init_apache2_late
-}
-
-src_prepare() {
- default
-
- # Don't add '-Wl,' as prefix for CFLAGS, as linker will fail
- sed -e '/JK_PREFIX_IF_MISSING/d' -i configure.ac || die
- eautoreconf
-
- # Adjust confpath and logpath for Gentoo
- local logs_path="/var/log/apache2"
- sed -e "s|conf|${APACHE_CONFDIR}|g" -e "s|logs|${logs_path}|g" -i ../conf/httpd-jk.conf || die
-}
-
-src_configure() {
- local myeconfargs=(
- --disable-static
- --with-apxs="${APXS}"
- )
-
- econf "${myeconfargs[@]}"
-}
-
-src_compile() {
- LIBTOOL="/bin/sh $(pwd)/libtool --silent"
- default
-}
-
-src_install() {
- apache-module_src_install
-
- insinto "${APACHE_CONFDIR}"
- doins "${S}"/../conf/*.properties
-
- insinto "${APACHE_MODULES_CONFDIR}"
- newins ../conf/httpd-jk.conf 88_mod_jk.conf
-
- einstalldocs
-}
diff --git a/www-apache/mod_jk/mod_jk-1.2.49.ebuild b/www-apache/mod_jk/mod_jk-1.2.49.ebuild
index 8b6a43685192..f11868d35b60 100644
--- a/www-apache/mod_jk/mod_jk-1.2.49.ebuild
+++ b/www-apache/mod_jk/mod_jk-1.2.49.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -15,17 +15,20 @@ S="${WORKDIR}/${MY_P}/native"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86"
DEPEND="dev-libs/apr:1="
RDEPEND="${DEPEND}"
BDEPEND="
dev-lang/perl
- verify-sig? ( sec-keys/openpgp-keys-apache-tomcat-connectors )"
-VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}/usr/share/openpgp-keys/tomcat-connectors.apache.org.asc"
+ verify-sig? ( sec-keys/openpgp-keys-apache-tomcat-connectors )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-1.2.49-musl.patch" )
APACHE2_MOD_FILE="${S}/apache-2.0/${PN}.so"
APACHE2_MOD_DEFINE="JK"
+VERIFY_SIG_OPENPGP_KEY_PATH="/usr/share/openpgp-keys/tomcat-connectors.apache.org.asc"
need_apache2
diff --git a/www-apache/mod_musicindex/mod_musicindex-1.4.1-r4.ebuild b/www-apache/mod_musicindex/mod_musicindex-1.4.1-r4.ebuild
index 1ef181d29e3c..d0ac86de19ee 100644
--- a/www-apache/mod_musicindex/mod_musicindex-1.4.1-r4.ebuild
+++ b/www-apache/mod_musicindex/mod_musicindex-1.4.1-r4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -24,7 +24,7 @@ DEPEND="mp3? ( media-libs/libmad media-libs/libid3tag:= )
archive? ( app-arch/libarchive:= )
mysql? ( dev-db/mysql-connector-c:0= )"
RDEPEND="${DEPEND}
- sys-devel/libtool"
+ dev-build/libtool"
APACHE2_MOD_CONF="50_${PN}"
APACHE2_MOD_DEFINE="MUSICINDEX"
diff --git a/www-apache/mod_perl/Manifest b/www-apache/mod_perl/Manifest
index 5e94a56ae488..611f1d0b35c3 100644
--- a/www-apache/mod_perl/Manifest
+++ b/www-apache/mod_perl/Manifest
@@ -1,2 +1,3 @@
DIST mod_perl-2.0.11.tar.gz 3848147 BLAKE2B 8eeef6d1fadbf9d2e3bcff33c5114e588f032c2497f5191b1edd30da8bce72eadf5ea62482ec8ece7d7fde308c8c41d6682d1a325760c627bee75c3ce8cf6272 SHA512 f232b215ccb9217f69ccced8a037470e5975900b9a6fcc5a2e4674e6559d21f026547c1b97c48109352043946dc22539dd38004759be16ad5cfcb3a96973dfdf
DIST mod_perl-2.0.12.tar.gz 3848030 BLAKE2B fe4e57d76f7e7a79f171a96d2bab65743eeae45528c0bc3a8bc8ef6d91bb875d3857799f7d65cbf590994c30699a8646dbc905d76551fb97151d0827222a9ba2 SHA512 890dca0950847e32180485cabbeffbf236af2c92c7df957a233c210022b5172957eddb1db3e9281b87cd438d2fa404a05ae99c7eda098267c68d5e9262b400b0
+DIST mod_perl-2.0.13.tar.gz 3848487 BLAKE2B 8fb640f6815dac7a93ceeca21c63d4c5d5f14c81d061b0fbfe5831afcb8682df509c367f113a7b1396fdd25ccebd66cf708f99b5e69c8393add0f7969c102249 SHA512 453c789743487e2d1167d005f21ef9780f36488db8830103e4ea0a0656f685bf5ec423cd1baa68ee30efc75d9e2b845c9656458203b9f48de81a315a91d587c9
diff --git a/www-apache/mod_perl/mod_perl-2.0.13.ebuild b/www-apache/mod_perl/mod_perl-2.0.13.ebuild
new file mode 100644
index 000000000000..d2b6cb753c19
--- /dev/null
+++ b/www-apache/mod_perl/mod_perl-2.0.13.ebuild
@@ -0,0 +1,142 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_TEST=do
+inherit depend.apache apache-module perl-module
+
+DESCRIPTION="An embedded Perl interpreter for Apache2"
+HOMEPAGE="https://perl.apache.org/ https://projects.apache.org/project.html?perl-mod_perl"
+SRC_URI="mirror://apache/perl/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="1"
+KEYWORDS="amd64 ~arm ppc ppc64 ~riscv x86"
+IUSE="debug ithreads test"
+RESTRICT="!test? ( test )"
+
+# Apache::Reload, Apache::SizeLimit, and Apache::Test are force-unbundled.
+# The minimum versions requested here are the bundled versions.
+
+# The test dependencies are from CPAN (Bundle::Apache2).
+
+# When all MPMs are disabled via useflags, the apache ebuild selects a
+# default one, which will likely need threading.
+
+RDEPEND="
+ dev-lang/perl[ithreads=]
+ >=dev-perl/Apache-Test-1.420.0
+ >=www-servers/apache-2.0.47
+ >=dev-libs/apr-util-1.4
+ !ithreads? ( www-servers/apache[-apache2_mpms_event,-apache2_mpms_worker,apache2_mpms_prefork] )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-perl/Module-Build
+ test? (
+ >=dev-perl/CGI-3.110.0
+ dev-perl/Chatbot-Eliza
+ dev-perl/Devel-Symdump
+ dev-perl/HTML-Parser
+ dev-perl/IPC-Run3
+ dev-perl/libwww-perl
+ www-servers/apache[apache2_modules_version,-apache2_modules_unique_id]
+ !www-apache/mpm_itk
+ )
+"
+PDEPEND="
+ >=dev-perl/Apache-Reload-0.130.0
+ >=dev-perl/Apache-SizeLimit-0.970.0
+"
+
+APACHE2_MOD_FILE="${S}/src/modules/perl/mod_perl.so"
+APACHE2_MOD_CONF="2.0.3/75_${PN}"
+APACHE2_MOD_DEFINE="PERL"
+
+need_apache2
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.0.1-sneak-tmpdir.patch # seems to fix the make test problem
+ "${FILESDIR}"/${PN}-2.0.4-inline.patch # 550244
+ "${FILESDIR}"/${PN}-2.0.10_rc1-bundled-Apache-Test.patch # 352724
+ "${FILESDIR}"/${PN}-2.0.10_rc1-Gentoo-not-Unix.patch
+ "${FILESDIR}"/${PN}-2.0.11-ranlib.patch # 728554
+)
+
+src_prepare() {
+ perl-module_src_prepare
+
+ # chainsaw unbundling
+ rm -rf Apache-{Test,Reload,SizeLimit}/ lib/Bundle/ || die
+}
+
+src_configure() {
+ _init_apache2_late
+
+ local debug=$(usex debug 1 0)
+ local nothreads=$(usex ithreads 0 1)
+ myconf=(
+ MP_USE_DSO=1
+ MP_APXS=${APXS}
+ MP_APR_CONFIG=/usr/bin/apr-1-config
+ MP_TRACE=${debug}
+ MP_DEBUG=${debug}
+ MP_NO_THREADS=${nothreads}
+ )
+
+ perl-module_src_configure
+}
+
+src_test() {
+ # make test notes whether it is running as root, and drops
+ # privileges all the way to "nobody" if so, so we must adjust
+ # write permissions accordingly in this case.
+
+ # IF YOU SUDO TO EMERGE AND HAVE !env_reset set testing will fail!
+ if [[ "$(id -u)" == "0" ]]; then
+ chown nobody:nobody "${WORKDIR}" "${T}" || die
+ fi
+
+ # We force verbose tests for now to get meaningful bug reports.
+ MAKEOPTS+=" -j1"
+ TMPDIR="${T}" HOME="${T}/" TEST_VERBOSE=1 LC_TIME=C perl-module_src_test
+}
+
+src_install() {
+ apache-module_src_install
+
+ default
+
+ perl_delete_localpod
+ perl_fix_packlist
+ perl_delete_emptybsdir
+
+ insinto "${APACHE_MODULES_CONFDIR}"
+ doins "${FILESDIR}"/2.0.3/apache2-mod_perl-startup.pl
+
+ # this is an attempt to get @INC in line with /usr/bin/perl.
+ # there is blib garbage in the mainstream one that can only be
+ # useful during internal testing, so we wait until here and then
+ # just go with a clean slate. should be much easier to see what's
+ # happening and revert if problematic.
+
+ perl_set_version
+ sed -i \
+ -e "s,-I${S}/[^[:space:]\"\']\+[[:space:]]\?,,g" \
+ -e "s,-typemap[[:space:]]${S}/[^[:space:]\"\']\+[[:space:]]\?,,g" \
+ -e "s,${S}\(/[^[:space:]\"\']\+\)\?,/,g" \
+ "${D}/${VENDOR_ARCH}/Apache2/BuildConfig.pm" || die
+
+ local fname
+ for fname in $(find "${D}" -type f -not -name '*.so'); do
+ grep -q "\(${D}\|${S}\)" "${fname}" && ewarn "QA: File contains a temporary path ${fname}"
+ sed -i -e "s:\(${D}\|${S}\):/:g" ${fname} || die
+ done
+
+ perl_remove_temppath
+}
+
+pkg_postinst() {
+ apache-module_pkg_postinst
+}
diff --git a/www-apache/mod_security/Manifest b/www-apache/mod_security/Manifest
index 0d2a606c5949..fbf1cffc7c4f 100644
--- a/www-apache/mod_security/Manifest
+++ b/www-apache/mod_security/Manifest
@@ -1,2 +1 @@
-DIST modsecurity-2.9.6.tar.gz 4316582 BLAKE2B f344f8630218c401a3b0eb0de9f5f23d9d1f9f65bf5c4cff2d8d0ea3ebd27cf0202ce2199b1c6d923237ee49a3b151cce46a8de3563fa743cf119c8c25270af3 SHA512 54b3316950094b3951fcfdd82bbacd34dfa8f5500b9a772d3296f411711bad0dcad51068b25cb2c196fdc4b2e1095d54701370d25180c0c68cf0913bd7d4ea03
DIST modsecurity-2.9.7.tar.gz 4320766 BLAKE2B 2e0c62ae4f6fcef0b41bf1f74ab5acbae485e728f35bf621a96e622d86e2256c7e052d3a452ff49a4c4cb824243e71a706f9a5868bb3f77e37191a1dfe1b371b SHA512 a333d142f0dedf332a3cccca8267ccf9193cd4ad5a026b3cdbe0713dd1f3edde33739eae8baced2c63409cc0b220001e0a226ea032874a97c08e4065eb1fbdd5
diff --git a/www-apache/mod_security/mod_security-2.9.6.ebuild b/www-apache/mod_security/mod_security-2.9.6.ebuild
deleted file mode 100644
index 7855dcafcbd0..000000000000
--- a/www-apache/mod_security/mod_security-2.9.6.ebuild
+++ /dev/null
@@ -1,125 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-LUA_COMPAT=( lua5-{1..3} )
-
-inherit autotools apache-module lua-single
-
-MY_PN=modsecurity
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="Application firewall and intrusion detection for Apache"
-HOMEPAGE="https://github.com/SpiderLabs/ModSecurity"
-SRC_URI="https://github.com/SpiderLabs/ModSecurity/releases/download/v${PV}/${MY_P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="doc fuzzyhash geoip jit json lua mlogc"
-
-REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )"
-
-COMMON_DEPEND="dev-libs/apr
- dev-libs/apr-util[openssl]
- dev-libs/libxml2
- dev-libs/libpcre[jit?]
- virtual/libcrypt:=
- fuzzyhash? ( app-crypt/ssdeep )
- json? ( dev-libs/yajl )
- lua? ( ${LUA_DEPS} )
- mlogc? ( net-misc/curl )
- www-servers/apache[apache2_modules_unique_id]"
-BDEPEND="doc? ( app-doc/doxygen )"
-DEPEND="${COMMON_DEPEND}"
-RDEPEND="${COMMON_DEPEND}
- geoip? ( dev-libs/geoip )
- mlogc? ( dev-lang/perl )"
-PDEPEND=">=www-apache/modsecurity-crs-3.3.2"
-
-S="${WORKDIR}/${MY_P}"
-
-APACHE2_MOD_FILE="apache2/.libs/${PN}2.so"
-APACHE2_MOD_CONF="79_${PN}"
-APACHE2_MOD_DEFINE="SECURITY"
-
-# Tests require symbols only defined within the Apache binary.
-RESTRICT=test
-
-PATCHES=(
- "${FILESDIR}"/${PN}-2.9.3-autoconf_lua_package_name.patch
-)
-
-need_apache2
-
-pkg_setup() {
- _init_apache2
- _init_apache2_late
- use lua && lua-single_pkg_setup
-}
-
-src_prepare() {
- default
- eautoreconf
-}
-
-src_configure() {
- local myconf=(
- --disable-static
- --enable-request-early
- --with-apxs="${APXS}"
- --with-pic
- $(use_with fuzzyhash ssdeep)
- $(use_with json yajl)
- $(use_enable mlogc)
- $(use_with lua)
- $(use_enable lua lua-cache)
- $(use_enable jit pcre-jit)
- $(use_enable doc docs) )
-
- econf ${myconf[@]}
-}
-
-src_compile() {
- default
-}
-
-src_install() {
- apache-module_src_install
-
- dodoc CHANGES README.md modsecurity.conf-recommended unicode.mapping
-
- if use doc; then
- dodoc -r doc/apache/html
- fi
-
- if use mlogc; then
- insinto /etc/
- newins mlogc/mlogc-default.conf mlogc.conf
- dobin mlogc/mlogc
- dobin mlogc/mlogc-batch-load.pl
- newdoc mlogc/INSTALL INSTALL-mlogc
- fi
-
- # Use /var/lib instead of /var/cache. This stuff is "persistent,"
- # and isn't a cached copy of something that we can recreate.
- # Bug 605496.
- keepdir /var/lib/modsecurity
- fowners apache:apache /var/lib/modsecurity
- fperms 0750 /var/lib/modsecurity
- for dir in data tmp upload; do
- keepdir "/var/lib/modsecurity/${dir}"
- fowners apache:apache "/var/lib/modsecurity/${dir}"
- fperms 0750 "/var/lib/modsecurity/${dir}"
- done
-}
-
-pkg_postinst() {
- elog "The base configuration file has been renamed ${APACHE2_MOD_CONF}"
- elog "so that you can put your own configuration in (for example)"
- elog "90_modsecurity_local.conf."
- elog ""
- elog "That would be the correct place for site-global security rules."
- elog "Note: 80_modsecurity_crs.conf is used by www-apache/modsecurity-crs"
-}
diff --git a/www-apache/mod_security/mod_security-2.9.7.ebuild b/www-apache/mod_security/mod_security-2.9.7.ebuild
index 7f8dc9f584ca..64f0ae38c6b7 100644
--- a/www-apache/mod_security/mod_security-2.9.7.ebuild
+++ b/www-apache/mod_security/mod_security-2.9.7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -36,7 +36,7 @@ DEPEND="dev-libs/apr:1=
mlogc? ( net-misc/curl )
pcre2? ( dev-libs/libpcre2:= )
www-servers/apache[apache2_modules_unique_id]"
-BDEPEND="doc? ( app-doc/doxygen )"
+BDEPEND="doc? ( app-text/doxygen )"
RDEPEND="${DEPEND}
geoip? ( dev-libs/geoip )
mlogc? ( dev-lang/perl )"
diff --git a/www-apache/mod_xsendfile/mod_xsendfile-1.0_beta1-r3.ebuild b/www-apache/mod_xsendfile/mod_xsendfile-1.0_beta1-r3.ebuild
new file mode 100644
index 000000000000..b70dfc8ac59d
--- /dev/null
+++ b/www-apache/mod_xsendfile/mod_xsendfile-1.0_beta1-r3.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit apache-module
+
+MY_PV="1.0b1"
+DESCRIPTION="Apache module that processes X-SENDFILE headers registered by the output handler"
+HOMEPAGE="https://tn123.org/mod_xsendfile/"
+SRC_URI="https://tn123.org/mod_xsendfile/beta/${PN}-${MY_PV}.tar.gz"
+S="${WORKDIR}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~sparc ~x86 ~amd64-linux"
+
+need_apache2
+
+src_install() {
+ APACHE2_MOD_CONF="50_${PN}"
+ APACHE2_MOD_DEFINE="XSENDFILE"
+ APACHE_MODULESDIR="/usr/$(get_libdir)/apache2/modules"
+
+ apache-module_src_install
+
+ dodoc docs/Readme.html
+}
diff --git a/www-apache/modsecurity-crs/Manifest b/www-apache/modsecurity-crs/Manifest
index a7819e892570..12a8f2c8714f 100644
--- a/www-apache/modsecurity-crs/Manifest
+++ b/www-apache/modsecurity-crs/Manifest
@@ -1 +1,2 @@
-DIST modsecurity-crs-3.3.4.tar.gz 301112 BLAKE2B 0df4b70c5ecc1852fe3cde74783494636c530cc8a2b8ddc0269da25703521532ee3ed6ba1e572b854fe6912f31d2ed1fe4c917b13dc22b37763dbe73ef8c7b72 SHA512 a8b8b210054a9a4e3f8e45a5a9428110bb4075e40430e3fc16f4717e363af141265b1fb5c173ff96abeff0ac61ef5eef667a4b9cb703f8edc15e48deb3342827
+DIST modsecurity-crs-3.3.5.tar.gz 299458 BLAKE2B b8617de77cf5168c7b95fab46eae45e2101b4ec7a537d8d471b9b1b27a856b1d370a9de43ee262c07dc9371b3ff79cd86b7328b171fde003da9110897206e91e SHA512 001f9afe25f479dd988aaec1a4a2c0197b2d27e00d2cd10b70892e4889b399259cd0655f42a96965ae655855abdb7f9d8295c225ae17bf1e47361b70232633e5
+DIST modsecurity-crs-4.0.0_rc2.tar.gz 491479 BLAKE2B 71a016b7e45a991373357ece9cc7a59afe54daf91ffa826b76fd4a986b6e8989efb54ca3b83fac9307cf6ede1e1f7a78f9534cc5682e63ea3d75b9092c295d30 SHA512 302129aa3c476afd84b41bfdf73afaa1561f300ecad6ea3540d977639dc3c2167169298fbbe453ceb108d10dee3835b2e4f30f0c12cc413d3acd530906123021
diff --git a/www-apache/modsecurity-crs/modsecurity-crs-3.3.4.ebuild b/www-apache/modsecurity-crs/modsecurity-crs-3.3.5.ebuild
index 867ab1147f42..00b337f729cd 100644
--- a/www-apache/modsecurity-crs/modsecurity-crs-3.3.4.ebuild
+++ b/www-apache/modsecurity-crs/modsecurity-crs-3.3.5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -17,7 +17,7 @@ IUSE="+apache2"
RDEPEND="apache2? ( >=www-apache/mod_security-2.9.6 )"
-DOCS=( CHANGES CONTRIBUTORS.md crs-setup.conf.example KNOWN_BUGS README.md )
+DOCS=( CHANGES.md CONTRIBUTORS.md crs-setup.conf.example KNOWN_BUGS README.md )
src_install() {
insinto "/usr/share/${PN}"
diff --git a/www-apache/modsecurity-crs/modsecurity-crs-4.0.0_rc2.ebuild b/www-apache/modsecurity-crs/modsecurity-crs-4.0.0_rc2.ebuild
new file mode 100644
index 000000000000..1a0a134d3046
--- /dev/null
+++ b/www-apache/modsecurity-crs/modsecurity-crs-4.0.0_rc2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature
+
+MY_PV=${PV/_/-}
+
+DESCRIPTION="OWASP ModSecurity Core Rule Set"
+HOMEPAGE="https://coreruleset.org/"
+SRC_URI="https://github.com/coreruleset/coreruleset/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/coreruleset-${MY_PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+apache2"
+
+RDEPEND="apache2? ( >=www-apache/mod_security-2.9.6 )"
+
+DOCS=( CHANGES.md CONTRIBUTORS.md crs-setup.conf.example KNOWN_BUGS.md README.md )
+
+src_install() {
+ insinto "/usr/share/${PN}"
+ doins -r plugins rules
+
+ einstalldocs
+
+ if use apache2; then
+ # I don't think it's worth pulling in apache-module.eclass just for
+ # this path...
+ insinto /etc/apache2/modules.d
+ doins "${FILESDIR}/80_mod_security-crs.conf"
+ fi
+}
+
+pkg_postinst() {
+ if use apache2; then
+ einfo "The CRS configuration file has been installed to:"
+ einfo " ${ROOT}/etc/apache2/modules.d/80_mod_security-crs.conf"
+ fi
+
+ optfeature "apache-less installations, e.g. nginx" dev-libs/modsecurity
+}
diff --git a/www-apache/passenger/Manifest b/www-apache/passenger/Manifest
index b6d8b3a1827f..c118832730db 100644
--- a/www-apache/passenger/Manifest
+++ b/www-apache/passenger/Manifest
@@ -1 +1,3 @@
DIST passenger-6.0.18.tar.gz 8424409 BLAKE2B 50f3639d0233892c85b97383689599c08457642fbfd1d968b67dddee896eb1377ffc40ce8049a2c3ae4a1a6d3673bdc2fef8de9125efa0386722103f9c4ed1ba SHA512 4c9e43d0907e83f82b2ae1bdc882648f5b3c1b54ffe029590a259c191f57b752dc3196332d0bb68319d50d656192e59df0ed9647f1c7fe3fdc13477a9c0b829b
+DIST passenger-6.0.19.tar.gz 8426094 BLAKE2B d0c6cf8b1b27cb11723f28b019d45710a53db76001f1449fd207b7e552080e1b303378acfbc3194076a4a33d03a8eeed9e716471a24706a5a5049343f2b93ef8 SHA512 3ac9b1d85549c8b69f9895d2b0fe00bee68bedfd2ef36ec148fb5e76a88db6498caf7bf6aa2255298aa51bb6b3d14e05c48de519398a0271402cc81e926b206d
+DIST passenger-6.0.20.tar.gz 8476308 BLAKE2B dc1ac3a1e2be1a9138594d68cf23fc0a73b6b0aca0550c022de56bc156825b3627de741128f163871c89747f178fb26fc41533962ba83ef2659ca71793c0fa62 SHA512 b46864cd7fa83fe39a2a4f42d581660c9a521b96942604b56caa567adff272bb092e82a46a6817a7b68be4830ad1015c9af4429a6d5b26edfe9c3e3884046559
diff --git a/www-apache/passenger/passenger-6.0.19.ebuild b/www-apache/passenger/passenger-6.0.19.ebuild
new file mode 100644
index 000000000000..881b0b4073de
--- /dev/null
+++ b/www-apache/passenger/passenger-6.0.19.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+inherit apache-module flag-o-matic ruby-ng toolchain-funcs
+
+DESCRIPTION="Passenger makes deployment of Ruby on Rails applications a breeze"
+HOMEPAGE="https://www.phusionpassenger.com/"
+SRC_URI="https://s3.amazonaws.com/phusion-passenger/releases/${P}.tar.gz"
+
+# Passenger is licensed MIT, but vendored code licenses should also be taken into account.
+LICENSE="Boost-1.0 MIT BSD"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 x86"
+IUSE="apache2 debug"
+
+ruby_add_bdepend "dev-ruby/rake"
+
+ruby_add_rdepend "
+ >=dev-ruby/rack-1.0.0:*
+ >=dev-ruby/rake-0.8.1"
+
+# libev is bundled but with adapations that do not seem to be accepted
+# upstream, so we must use the bundled version :-(
+CDEPEND="
+ >=dev-libs/libuv-1.8.0
+ net-misc/curl[ssl]
+ apache2? ( www-servers/apache[apache2_modules_unixd(+)] )"
+
+RDEPEND="${RDEPEND} ${CDEPEND}"
+DEPEND="${DEPEND} ${CDEPEND}"
+
+APACHE2_MOD_CONF="30_mod_${PN}-5.0.0 30_mod_${PN}"
+APACHE2_MOD_DEFINE="PASSENGER"
+
+want_apache2
+
+pkg_setup() {
+ use debug && append-flags -DPASSENGER_DEBUG
+ depend.apache_pkg_setup
+}
+
+all_ruby_prepare() {
+ eapply "${FILESDIR}"/${PN}-5.1.11-gentoo.patch
+
+ # Change these with sed instead of a patch so that we can easily use
+ # the toolchain-funcs methods.
+ sed -i -e "/^CC/ s/=.*$/= '$(tc-getCC)'/" \
+ -e "/^CXX\s/ s/=.*$/= '$(tc-getCXX)'/" \
+ -e 's/PlatformInfo.debugging_cflags//' build/basics.rb || die
+
+ # Avoid fixed debugging CFLAGs.
+ sed -e '/debugging_cflags/areturn ""' -i src/ruby_supportlib/phusion_passenger/platform_info/compiler.rb || die
+
+ # Use sed here so that we can dynamically set the documentation directory.
+ sed -i -e "s:/usr/share/doc/passenger:/usr/share/doc/${P}:" \
+ -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" \
+ src/ruby_supportlib/phusion_passenger.rb || die
+ sed -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" \
+ -i src/cxx_supportlib/ResourceLocator.h || die
+
+ # Don't install a tool that won't work in our setup.
+ sed -i -e '/passenger-install-apache2-module/d' src/ruby_supportlib/phusion_passenger/packaging.rb || die
+ rm -f bin/passenger-install-apache2-module || die "Unable to remove unneeded install script."
+
+ # Make sure we use the system-provided version where possible
+ rm -rf src/cxx_supportlib/vendor-copy/libuv || die "Unable to remove vendored code."
+
+ # Fix hard-coded use of AR
+ sed -i -e "s/ar cru/"$(tc-getAR)" cru/" build/support/cplusplus.rb || die
+
+ # Make sure apache support is not attempted with -apache2
+ if ! use apache2 ; then
+ sed -i -e '/fakeroot/ s/:apache2, //' build/packaging.rb || die
+ fi
+}
+
+all_ruby_compile() {
+ if use apache2 ; then
+ V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
+ APXS2="${APXS}" \
+ HTTPD="${APACHE_BIN}" \
+ FS_LIBDIR='/usr/'$(get_libdir) \
+ USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
+ RANLIB=$(tc-getRANLIB) \
+ ruby -S rake apache2 || die "rake failed"
+ fi
+}
+
+each_ruby_compile() {
+ append-flags -fno-strict-aliasing
+
+ V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
+ APXS2="${APXS}" \
+ HTTPD="${APACHE_BIN}" \
+ FS_LIBDIR='/usr/'$(get_libdir) \
+ USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
+ RANLIB=$(tc-getRANLIB) \
+ ${RUBY} -S rake native_support || die "rake failed"
+}
+
+all_ruby_install() {
+ if use apache2 ; then
+ APACHE2_MOD_FILE="${S}/buildout/apache2/mod_${PN}.so"
+ apache-module_src_install
+
+ # Patch in the correct libdir
+ sed -i -e 's:/usr/lib/:/usr/'$(get_libdir)'/:' "${D}${APACHE_MODULES_CONFDIR}/30_mod_${PN}.conf" || die
+ fi
+
+ dodoc CHANGELOG README.md doc/*.md
+}
+
+each_ruby_install() {
+ DISTDIR="${D}" \
+ RUBYLIBDIR="$(ruby_rbconfig_value vendordir)" \
+ RUBYARCHDIR="$(ruby_rbconfig_value archdir)" \
+ APXS2="${APXS}" \
+ HTTPD="${APACHE_BIN}" \
+ FS_DOCDIR="/usr/share/doc/${P}" \
+ FS_LIBDIR='/usr/'$(get_libdir) \
+ EXTRA_LDFLAGS="${LDFLAGS}" \
+ USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
+ RANLIB=$(tc-getRANLIB) \
+ ${RUBY} -S rake fakeroot || die "rake failed"
+}
diff --git a/www-apache/passenger/passenger-6.0.20.ebuild b/www-apache/passenger/passenger-6.0.20.ebuild
new file mode 100644
index 000000000000..0c0ad6d0d23f
--- /dev/null
+++ b/www-apache/passenger/passenger-6.0.20.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+inherit apache-module flag-o-matic ruby-ng toolchain-funcs
+
+DESCRIPTION="Passenger makes deployment of Ruby on Rails applications a breeze"
+HOMEPAGE="https://www.phusionpassenger.com/"
+SRC_URI="https://s3.amazonaws.com/phusion-passenger/releases/${P}.tar.gz"
+
+# Passenger is licensed MIT, but vendored code licenses should also be taken into account.
+LICENSE="Boost-1.0 MIT BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="apache2 debug"
+
+ruby_add_bdepend "dev-ruby/rake"
+
+ruby_add_rdepend "
+ >=dev-ruby/rack-1.0.0:*
+ >=dev-ruby/rake-0.8.1"
+
+# libev is bundled but with adapations that do not seem to be accepted
+# upstream, so we must use the bundled version :-(
+CDEPEND="
+ >=dev-libs/libuv-1.8.0
+ net-misc/curl[ssl]
+ apache2? ( www-servers/apache[apache2_modules_unixd(+)] )"
+
+RDEPEND="${RDEPEND} ${CDEPEND}"
+DEPEND="${DEPEND} ${CDEPEND}"
+
+APACHE2_MOD_CONF="30_mod_${PN}-5.0.0 30_mod_${PN}"
+APACHE2_MOD_DEFINE="PASSENGER"
+
+want_apache2
+
+pkg_setup() {
+ use debug && append-flags -DPASSENGER_DEBUG
+ depend.apache_pkg_setup
+}
+
+all_ruby_prepare() {
+ eapply "${FILESDIR}"/${PN}-5.1.11-gentoo.patch
+
+ # Change these with sed instead of a patch so that we can easily use
+ # the toolchain-funcs methods.
+ sed -i -e "/^CC/ s/=.*$/= '$(tc-getCC)'/" \
+ -e "/^CXX\s/ s/=.*$/= '$(tc-getCXX)'/" \
+ -e 's/PlatformInfo.debugging_cflags//' build/basics.rb || die
+
+ # Avoid fixed debugging CFLAGs.
+ sed -e '/debugging_cflags/areturn ""' -i src/ruby_supportlib/phusion_passenger/platform_info/compiler.rb || die
+
+ # Use sed here so that we can dynamically set the documentation directory.
+ sed -i -e "s:/usr/share/doc/passenger:/usr/share/doc/${P}:" \
+ -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" \
+ src/ruby_supportlib/phusion_passenger.rb || die
+ sed -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" \
+ -i src/cxx_supportlib/ResourceLocator.h || die
+
+ # Don't install a tool that won't work in our setup.
+ sed -i -e '/passenger-install-apache2-module/d' src/ruby_supportlib/phusion_passenger/packaging.rb || die
+ rm -f bin/passenger-install-apache2-module || die "Unable to remove unneeded install script."
+
+ # Make sure we use the system-provided version where possible
+ rm -rf src/cxx_supportlib/vendor-copy/libuv || die "Unable to remove vendored code."
+
+ # Fix hard-coded use of AR
+ sed -i -e "s/ar cru/"$(tc-getAR)" cru/" build/support/cplusplus.rb || die
+
+ # Make sure apache support is not attempted with -apache2
+ if ! use apache2 ; then
+ sed -i -e '/fakeroot/ s/:apache2, //' build/packaging.rb || die
+ fi
+}
+
+all_ruby_compile() {
+ if use apache2 ; then
+ V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
+ APXS2="${APXS}" \
+ HTTPD="${APACHE_BIN}" \
+ FS_LIBDIR='/usr/'$(get_libdir) \
+ USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
+ RANLIB=$(tc-getRANLIB) \
+ ruby -S rake apache2 || die "rake failed"
+ fi
+}
+
+each_ruby_compile() {
+ append-flags -fno-strict-aliasing
+
+ V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
+ APXS2="${APXS}" \
+ HTTPD="${APACHE_BIN}" \
+ FS_LIBDIR='/usr/'$(get_libdir) \
+ USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
+ RANLIB=$(tc-getRANLIB) \
+ ${RUBY} -S rake native_support || die "rake failed"
+}
+
+all_ruby_install() {
+ if use apache2 ; then
+ APACHE2_MOD_FILE="${S}/buildout/apache2/mod_${PN}.so"
+ apache-module_src_install
+
+ # Patch in the correct libdir
+ sed -i -e 's:/usr/lib/:/usr/'$(get_libdir)'/:' "${D}${APACHE_MODULES_CONFDIR}/30_mod_${PN}.conf" || die
+ fi
+
+ dodoc CHANGELOG README.md doc/*.md
+}
+
+each_ruby_install() {
+ DISTDIR="${D}" \
+ RUBYLIBDIR="$(ruby_rbconfig_value vendordir)" \
+ RUBYARCHDIR="$(ruby_rbconfig_value archdir)" \
+ APXS2="${APXS}" \
+ HTTPD="${APACHE_BIN}" \
+ FS_DOCDIR="/usr/share/doc/${P}" \
+ FS_LIBDIR='/usr/'$(get_libdir) \
+ EXTRA_LDFLAGS="${LDFLAGS}" \
+ USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
+ RANLIB=$(tc-getRANLIB) \
+ ${RUBY} -S rake fakeroot || die "rake failed"
+}